Index: LMDZ5/trunk/libf/phylmd/regdim.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/regdim.h	(revision 1861)
+++ LMDZ5/trunk/libf/phylmd/regdim.h	(revision 1862)
@@ -2,15 +2,16 @@
 ! $Header$
 !
+!     Valid and equivalent for either free source form or fixed source form
       INTEGER i1_deb, i1_fin
       INTEGER i2_deb, i2_fin
-ccc      PARAMETER (i1_deb=21, i1_fin=40)
-ccc      PARAMETER (i2_deb=41, i2_fin=44)
-cccc      PARAMETER (i1_deb=47, i1_fin=77)
-cccc      PARAMETER (i2_deb=78, i2_fin=79)
+!cc      PARAMETER (i1_deb=21, i1_fin=40)
+!cc      PARAMETER (i2_deb=41, i2_fin=44)
+!ccc      PARAMETER (i1_deb=47, i1_fin=77)
+!ccc      PARAMETER (i2_deb=78, i2_fin=79)
       PARAMETER (i1_deb=16, i1_fin=30)
       PARAMETER (i2_deb=31, i2_fin=33)
-c
+!
       INTEGER j_deb, j_fin
-ccc      PARAMETER (j_deb=29, j_fin=61)
-cccc      PARAMETER (j_deb=21, j_fin=51)
+!cc      PARAMETER (j_deb=29, j_fin=61)
+!ccc      PARAMETER (j_deb=21, j_fin=51)
       PARAMETER (j_deb=18, j_fin=39)
Index: LMDZ5/trunk/libf/phylmd/write_histday_seri.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/write_histday_seri.h	(revision 1861)
+++ LMDZ5/trunk/libf/phylmd/write_histday_seri.h	(revision 1862)
@@ -1,58 +1,58 @@
-c
-c $Header$
-c
+!
+! $Header$
+!
       IF (is_sequential) THEN
       
       IF (type_run.EQ."AMIP") THEN
-c
+!
       ndex2d = 0
       itau_w = itau_phy + itap + start_time * day_step / iphysiq
-c
-c Champs 2D:
-c
+!
+! Champs 2D:
+!
       pi = ACOS(-1.)
       pir = 4.0*ATAN(1.0) / 180.0
-c
+!
       DO i=1, klon
        zx_tmp_fi2d(i)=(topsw(i)-toplw(i))
       ENDDO
-c
+!
       ok_msk=.FALSE.
       msk(1:klon)=pctsrf(1:klon,is_ter)
-      CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy, 
-     .     ok_msk, msk, moyglo)
-      zx_tmp_fi2d(1:klon)=moyglo
-c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_day_seri,"bilTOA",itau_w,
-     .               zx_tmp_2d,iim*jjmp1,ndex2d)
-c
-      ok_msk=.FALSE.
-      CALL moyglo_pondaire(klon, bils, airephy, 
-     .     ok_msk, msk, moyglo)
-      zx_tmp_fi2d(1:klon)=moyglo
-c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_day_seri,"bils",itau_w,
-     .               zx_tmp_2d,iim*jjmp1,ndex2d)
-c
+      CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy,  &
+           ok_msk, msk, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+!
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"bilTOA",itau_w, &
+                     zx_tmp_2d,iim*jjmp1,ndex2d)
+!
+      ok_msk=.FALSE.
+      CALL moyglo_pondaire(klon, bils, airephy,  &
+           ok_msk, msk, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+!
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"bils",itau_w, &
+                     zx_tmp_2d,iim*jjmp1,ndex2d)
+!
       DO k=1, klev
       DO i=1, klon
-cIM 080904    zx_tmp_fi3d(i,k)=u(i,k)**2+v(i,k)**2
+!IM 080904    zx_tmp_fi3d(i,k)=u(i,k)**2+v(i,k)**2
        zx_tmp_fi3d(i,k)=(u(i,k)**2+v(i,k)**2)/2.
       ENDDO
       ENDDO
-c
-      CALL moyglo_pondaima(klon, klev, zx_tmp_fi3d, 
-     .     airephy, paprs, moyglo)
-      zx_tmp_fi2d(1:klon)=moyglo
-c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_day_seri,"ecin",itau_w,
-     .               zx_tmp_2d,iim*jjmp1,ndex2d) 
-c
-cIM 151004 BEG
+!
+      CALL moyglo_pondaima(klon, klev, zx_tmp_fi3d,  &
+           airephy, paprs, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+!
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"ecin",itau_w, &
+                     zx_tmp_2d,iim*jjmp1,ndex2d) 
+!
+!IM 151004 BEG
       IF(1.EQ.0) THEN
-c
+!
       DO k=1, klev
       DO i=1, klon
@@ -60,31 +60,31 @@
       ENDDO
       ENDDO
-c
-      CALL moyglo_pondaima(klon, klev, zx_tmp_fi3d, 
-     .     airephy, paprs, moyglo)
-      zx_tmp_fi2d(1:klon)=moyglo
-c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_day_seri,"momang",itau_w,zx_tmp_2d,
-     .               iim*jjmp1,ndex2d)
-c
-c friction torque
-c
+!
+      CALL moyglo_pondaima(klon, klev, zx_tmp_fi3d,  &
+           airephy, paprs, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+!
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"momang",itau_w,zx_tmp_2d, &
+                     iim*jjmp1,ndex2d)
+!
+! friction torque
+!
       DO i=1, klon
        zx_tmp_fi2d(i)=zxfluxu(i,1)*RA* cos(pir* rlat(i))
       ENDDO
-c
-      ok_msk=.FALSE.
-      CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy, 
-     .     ok_msk, msk, moyglo)
-      zx_tmp_fi2d(1:klon)=moyglo
-c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_day_seri,"frictor",itau_w,zx_tmp_2d,
-     .               iim*jjmp1,ndex2d)
-c
-c mountain torque
-c
-cIM 190504 BEG
+!
+      ok_msk=.FALSE.
+      CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy,  &
+           ok_msk, msk, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+!
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"frictor",itau_w,zx_tmp_2d, &
+                     iim*jjmp1,ndex2d)
+!
+! mountain torque
+!
+!IM 190504 BEG
       CALL gr_fi_dyn(1,klon,iim+1,jjm+1,airephy,airedyn)
       CALL gr_fi_dyn(klev+1,klon,iim+1,jjm+1,paprs,padyn)
@@ -97,45 +97,45 @@
         zx_tmp(ij)=0.
         DO k = 1, klev
-         zx_tmp(ij)=zx_tmp(ij)+dudyn(i,j,k)*airedyn(i,j)*
-     $              (padyn(i,j,k+1)-padyn(i,j,k))/RG
+         zx_tmp(ij)=zx_tmp(ij)+dudyn(i,j,k)*airedyn(i,j)* &
+                    (padyn(i,j,k+1)-padyn(i,j,k))/RG
          airetot=airetot+airedyn(i,j)
         ENDDO
-cIM 190504 mountor=mountor+zx_tmp(ij)*airedyn(i,j)*RA*
-        mountor=mountor+zx_tmp(ij)*RA*
-     $           cos(pir* rlatdyn(i,j))
+!IM 190504 mountor=mountor+zx_tmp(ij)*airedyn(i,j)*RA*
+        mountor=mountor+zx_tmp(ij)*RA* &
+                 cos(pir* rlatdyn(i,j))
        ENDDO
       ENDDO
-cIM 151004 BEG
+!IM 151004 BEG
       IF(itap.EQ.1) PRINT*,'airetot=',airetot,airetot/klev
-cIM 151004 END
-cIM 190504      mountor=mountor/(airetot*airetot)
+!IM 151004 END
+!IM 190504      mountor=mountor/(airetot*airetot)
       mountor=mountor/airetot
-c
-cIM 190504 END
+!
+!IM 190504 END
       zx_tmp_2d(1:iim,1:jjmp1)=mountor
-      CALL histwrite(nid_day_seri,"mountor",itau_w,zx_tmp_2d,
-     .               iim*jjmp1,ndex2d)
-c
+      CALL histwrite(nid_day_seri,"mountor",itau_w,zx_tmp_2d, &
+                     iim*jjmp1,ndex2d)
+!
       ENDIF !(1.EQ.0) THEN
-c
-c
+!
+!
       CALL gr_fi_dyn(1,klon,iim+1,jjm+1,airephy,airedyn)
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,airephy,zx_tmp_2d)
       airetot=0.
-c     DO j = 1, jjmp1
-c      DO i = 1, iim+1
-c       ij=i+(iim+1)*(j-1)
-c       DO k = 1, klev
-c        airetot=airetot+airedyn(i,j)
-c        airetot=airetot+airedyn(i,j)
-c       ENDDO !k
-c      ENDDO !i
-c     ENDDO !j
-c
+!     DO j = 1, jjmp1
+!      DO i = 1, iim+1
+!       ij=i+(iim+1)*(j-1)
+!       DO k = 1, klev
+!        airetot=airetot+airedyn(i,j)
+!        airetot=airetot+airedyn(i,j)
+!       ENDDO !k
+!      ENDDO !i
+!     ENDDO !j
+!
       DO i=1, klon
        airetot=airetot+airephy(i)
       ENDDO
-c     IF(itap.EQ.1) PRINT*,'airetotphy=',airetot
-c
+!     IF(itap.EQ.1) PRINT*,'airetotphy=',airetot
+!
       airetot=0.
       DO j=1, jjmp1
@@ -144,98 +144,98 @@
        ENDDO
       ENDDO
-c
-c     IF(itap.EQ.1) PRINT*,'airetotij=',airetot,
-c    $ '4piR2',4.*pi*RA*RA
-c
+!
+!     IF(itap.EQ.1) PRINT*,'airetotij=',airetot,
+!    $ '4piR2',4.*pi*RA*RA
+!
       zx_tmp_fi2d(1:klon)=aam/airetot
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_day_seri,"momang",itau_w,zx_tmp_2d,
-     .               iim*jjmp1,ndex2d)
-c
+      CALL histwrite(nid_day_seri,"momang",itau_w,zx_tmp_2d, &
+                     iim*jjmp1,ndex2d)
+!
       zx_tmp_fi2d(1:klon)=torsfc/airetot
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_day_seri,"torsfc",itau_w,zx_tmp_2d,
-     .               iim*jjmp1,ndex2d)
-c
-cIM 151004 END
-c
-      CALL moyglo_pondmass(klon, klev, t_seri,
-     .     airephy, paprs, moyglo)
-      zx_tmp_fi2d(1:klon)=moyglo
-c
+      CALL histwrite(nid_day_seri,"torsfc",itau_w,zx_tmp_2d, &
+                     iim*jjmp1,ndex2d)
+!
+!IM 151004 END
+!
+      CALL moyglo_pondmass(klon, klev, t_seri, &
+           airephy, paprs, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+!
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_day_seri,"tamv",itau_w,
-     .               zx_tmp_2d,iim*jjmp1,ndex2d)
-c
-      ok_msk=.FALSE.
-      CALL moyglo_pondaire(klon, paprs(:,1), airephy, 
-     .     ok_msk, msk, moyglo)
-      zx_tmp_fi2d(1:klon)=moyglo
-c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_day_seri,"psol",itau_w,
-     .               zx_tmp_2d,iim*jjmp1,ndex2d)
-c
-      ok_msk=.FALSE.
-      CALL moyglo_pondaire(klon, evap, airephy, 
-     .     ok_msk, msk, moyglo)
-      zx_tmp_fi2d(1:klon)=moyglo
-c
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_day_seri,"evap",itau_w,
-     .               zx_tmp_2d,iim*jjmp1,ndex2d)
-c
-c     DO i=1, klon
-c      zx_tmp_fi2d(i)=SnowFrac(i,is_ter)
-c     ENDDO
-c
-c     ok_msk=.TRUE.
-c     msk(1:klon)=pctsrf(1:klon,is_ter)
-c     CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy, 
-c    .                     ok_msk, msk, moyglo)
-c     zx_tmp_fi2d(1:klon)=moyglo
-c
-c     CALL gr_fi_ecrit(1, klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
-c     CALL histwrite(nid_day_seri,"SnowFrac",
-c    .               itau_w,zx_tmp_2d,iim*jjmp1,ndex2d) 
-c
-c     DO i=1, klon
-cIM 080904    zx_tmp_fi2d(i)=zsnow_mass(i)/330.*rowl
-c      zx_tmp_fi2d(i)=zsnow_mass(i)
-c     ENDDO
-c
-cIM 140904   ok_msk=.FALSE.
-c     ok_msk=.TRUE.
-c     msk(1:klon)=pctsrf(1:klon,is_ter)
-c     CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy, 
-c    .     ok_msk, msk, moyglo)
-c     zx_tmp_fi2d(1:klon)=moyglo
-c
-c     CALL gr_fi_ecrit(1, klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
-c     CALL histwrite(nid_day_seri,"snow_depth",itau_w,
-c    .               zx_tmp_2d,iim*jjmp1,ndex2d)
-c
+      CALL histwrite(nid_day_seri,"tamv",itau_w, &
+                     zx_tmp_2d,iim*jjmp1,ndex2d)
+!
+      ok_msk=.FALSE.
+      CALL moyglo_pondaire(klon, paprs(:,1), airephy,  &
+           ok_msk, msk, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+!
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"psol",itau_w, &
+                     zx_tmp_2d,iim*jjmp1,ndex2d)
+!
+      ok_msk=.FALSE.
+      CALL moyglo_pondaire(klon, evap, airephy,  &
+           ok_msk, msk, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+!
+      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+      CALL histwrite(nid_day_seri,"evap",itau_w, &
+                     zx_tmp_2d,iim*jjmp1,ndex2d)
+!
+!     DO i=1, klon
+!      zx_tmp_fi2d(i)=SnowFrac(i,is_ter)
+!     ENDDO
+!
+!     ok_msk=.TRUE.
+!     msk(1:klon)=pctsrf(1:klon,is_ter)
+!     CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy, 
+!    .                     ok_msk, msk, moyglo)
+!     zx_tmp_fi2d(1:klon)=moyglo
+!
+!     CALL gr_fi_ecrit(1, klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
+!     CALL histwrite(nid_day_seri,"SnowFrac",
+!    .               itau_w,zx_tmp_2d,iim*jjmp1,ndex2d) 
+!
+!     DO i=1, klon
+!IM 080904    zx_tmp_fi2d(i)=zsnow_mass(i)/330.*rowl
+!      zx_tmp_fi2d(i)=zsnow_mass(i)
+!     ENDDO
+!
+!IM 140904   ok_msk=.FALSE.
+!     ok_msk=.TRUE.
+!     msk(1:klon)=pctsrf(1:klon,is_ter)
+!     CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy, 
+!    .     ok_msk, msk, moyglo)
+!     zx_tmp_fi2d(1:klon)=moyglo
+!
+!     CALL gr_fi_ecrit(1, klon,iim,jjmp1,zx_tmp_fi2d,zx_tmp_2d)
+!     CALL histwrite(nid_day_seri,"snow_depth",itau_w,
+!    .               zx_tmp_2d,iim*jjmp1,ndex2d)
+!
       DO i=1, klon
        zx_tmp_fi2d(i)=ftsol(i,is_oce)
       ENDDO
-c
+!
       ok_msk=.TRUE.
       msk(1:klon)=pctsrf(1:klon,is_oce)
-      CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy, 
-     .     ok_msk, msk, moyglo)
-      zx_tmp_fi2d(1:klon)=moyglo
-c
+      CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy,  &
+           ok_msk, msk, moyglo)
+      zx_tmp_fi2d(1:klon)=moyglo
+!
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d, zx_tmp_2d)
-      CALL histwrite(nid_day_seri,"tsol_"//clnsurf(is_oce),
-     $               itau_w,zx_tmp_2d,iim*jjmp1,ndex2d) 
-c
-c=================================================================
-c=================================================================
-c=================================================================
-c
+      CALL histwrite(nid_day_seri,"tsol_"//clnsurf(is_oce), &
+                     itau_w,zx_tmp_2d,iim*jjmp1,ndex2d) 
+!
+!=================================================================
+!=================================================================
+!=================================================================
+!
       if (ok_sync) then
         call histsync(nid_day_seri)
       endif
-c
+!
       ENDIF !fin test sur type_run.EQ."AMIP"
       
Index: LMDZ5/trunk/libf/phylmd/write_paramLMDZ_phy.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/write_paramLMDZ_phy.h	(revision 1861)
+++ LMDZ5/trunk/libf/phylmd/write_paramLMDZ_phy.h	(revision 1862)
@@ -1,5 +1,5 @@
-c
-c calcul moyennes globales
-c
+!
+! calcul moyennes globales
+!
        zx_tmp_fi2d=bils*airephy
        CALL global_mean(zx_tmp_fi2d,airephy,.TRUE.,gbils)
@@ -22,78 +22,78 @@
        zx_tmp_fi2d=prw*airephy
        CALL global_mean(zx_tmp_fi2d,airephy,.TRUE.,gprw)
-c
-c$OMP MASTER
+!
+!$OMP MASTER
       if (is_mpi_root) then      
-c
+!
       ndex2d = 0
       itau_w = itau_phy + itap + start_time * day_step / iphysiq
-c
-c Variables globales
-c
+!
+! Variables globales
+!
       zx_tmp_0d=R_ecc
-      CALL histwrite(nid_ctesGCM,"R_ecc",itau_w,
-     .               zx_tmp_0d,np,ndex2d)
-c
+      CALL histwrite(nid_ctesGCM,"R_ecc",itau_w, &
+                     zx_tmp_0d,np,ndex2d)
+!
       zx_tmp_0d=R_peri
-      CALL histwrite(nid_ctesGCM,"R_peri",itau_w,
-     .               zx_tmp_0d,np,ndex2d)
-c
+      CALL histwrite(nid_ctesGCM,"R_peri",itau_w, &
+                     zx_tmp_0d,np,ndex2d)
+!
       zx_tmp_0d=R_incl
-      CALL histwrite(nid_ctesGCM,"R_incl",itau_w,
-     .               zx_tmp_0d,np,ndex2d)
-c
+      CALL histwrite(nid_ctesGCM,"R_incl",itau_w, &
+                     zx_tmp_0d,np,ndex2d)
+!
       zx_tmp_0d=solaire
-      CALL histwrite(nid_ctesGCM,"solaire",itau_w,
-     .               zx_tmp_0d,np,ndex2d)
-c
+      CALL histwrite(nid_ctesGCM,"solaire",itau_w, &
+                     zx_tmp_0d,np,ndex2d)
+!
       zx_tmp_0d=co2_ppm
-      CALL histwrite(nid_ctesGCM,"co2_ppm",itau_w,
-     .               zx_tmp_0d,np,ndex2d)
-c
+      CALL histwrite(nid_ctesGCM,"co2_ppm",itau_w, &
+                     zx_tmp_0d,np,ndex2d)
+!
       zx_tmp_0d=CH4_ppb
-      CALL histwrite(nid_ctesGCM,"CH4_ppb",itau_w,
-     .               zx_tmp_0d,np,ndex2d)
-c
+      CALL histwrite(nid_ctesGCM,"CH4_ppb",itau_w, &
+                     zx_tmp_0d,np,ndex2d)
+!
       zx_tmp_0d=N2O_ppb
-      CALL histwrite(nid_ctesGCM,"N2O_ppb",itau_w,
-     .               zx_tmp_0d,np,ndex2d)
-c
+      CALL histwrite(nid_ctesGCM,"N2O_ppb",itau_w, &
+                     zx_tmp_0d,np,ndex2d)
+!
       zx_tmp_0d=CFC11_ppt
-      CALL histwrite(nid_ctesGCM,"CFC11_ppt",itau_w,
-     .               zx_tmp_0d,np,ndex2d)
-c
+      CALL histwrite(nid_ctesGCM,"CFC11_ppt",itau_w, &
+                     zx_tmp_0d,np,ndex2d)
+!
       zx_tmp_0d=CFC12_ppt
-      CALL histwrite(nid_ctesGCM,"CFC12_ppt",itau_w,
-     .               zx_tmp_0d,np,ndex2d)
-c
-c=================================================================
-c moyennes globales
-c
-      CALL histwrite(nid_ctesGCM,"bils",itau_w,
-     .               gbils,np,ndex2d)
-      CALL histwrite(nid_ctesGCM,"evap",itau_w,
-     .               gevap,np,ndex2d)
-      CALL histwrite(nid_ctesGCM,"evap_land",itau_w,
-     .               gevapt,np,ndex2d)
-      CALL histwrite(nid_ctesGCM,"flat",itau_w,
-     .               glat,np,ndex2d)
-      CALL histwrite(nid_ctesGCM,"nettop0",itau_w,
-     .               gnet0,np,ndex2d)
-      CALL histwrite(nid_ctesGCM,"nettop",itau_w,
-     .               gnet,np,ndex2d)
-      CALL histwrite(nid_ctesGCM,"precip",itau_w,
-     .               grain,np,ndex2d)
-      CALL histwrite(nid_ctesGCM,"tsol",itau_w,
-     .               gtsol,np,ndex2d)
-      CALL histwrite(nid_ctesGCM,"t2m",itau_w,
-     .               gt2m,np,ndex2d)
-      CALL histwrite(nid_ctesGCM,"prw",itau_w,
-     .               gprw,np,ndex2d)
-c=================================================================
-c
+      CALL histwrite(nid_ctesGCM,"CFC12_ppt",itau_w, &
+                     zx_tmp_0d,np,ndex2d)
+!
+!=================================================================
+! moyennes globales
+!
+      CALL histwrite(nid_ctesGCM,"bils",itau_w, &
+                     gbils,np,ndex2d)
+      CALL histwrite(nid_ctesGCM,"evap",itau_w, &
+                     gevap,np,ndex2d)
+      CALL histwrite(nid_ctesGCM,"evap_land",itau_w, &
+                     gevapt,np,ndex2d)
+      CALL histwrite(nid_ctesGCM,"flat",itau_w, &
+                     glat,np,ndex2d)
+      CALL histwrite(nid_ctesGCM,"nettop0",itau_w, &
+                     gnet0,np,ndex2d)
+      CALL histwrite(nid_ctesGCM,"nettop",itau_w, &
+                     gnet,np,ndex2d)
+      CALL histwrite(nid_ctesGCM,"precip",itau_w, &
+                     grain,np,ndex2d)
+      CALL histwrite(nid_ctesGCM,"tsol",itau_w, &
+                     gtsol,np,ndex2d)
+      CALL histwrite(nid_ctesGCM,"t2m",itau_w, &
+                     gt2m,np,ndex2d)
+      CALL histwrite(nid_ctesGCM,"prw",itau_w, &
+                     gprw,np,ndex2d)
+!=================================================================
+!
       if (ok_sync) then
         call histsync(nid_ctesGCM)
       endif
-c
+!
       endif !(is_mpi_root) then      
-c$OMP END MASTER
+!$OMP END MASTER
